Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class AbstractCollectionElement

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractCollectionElement

Direct Known Subclasses:
  BasicCollectionElement, CompositeCollectionElement, ManyToAnyCollectionElement, ManyToManyCollectionElement, OneToManyCollectionElement

    public abstract class AbstractCollectionElement

extends Object

Basic contract describing the commonality between the various types of collection element mappings.

Method Summary
`AbstractPluralAttributeBinding` | `getCollectionBinding()`
`abstract CollectionElementNature` | `getCollectionElementNature()`
`Value` | `getElementValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCollectionElementNature

    public abstract CollectionElementNature getCollectionElementNature()

### getCollectionBinding

    public AbstractPluralAttributeBinding getCollectionBinding()

### getElementValue

    public Value getElementValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.